Game updating by durka


23-Mar-2020 12:53

Your use of Kongregate’s Services is subject to our revised Cookie Policy, Privacy Policy and User Agreement.

The reasons for this are that FSX: SE is not installed to the standard .

This fact is proven very quickly by the fact that a number of hugely popular – many would say essential – FSX add-ons that don’t currently work with it.